rte_tm_red_params(3)

NAME
rte_tm_red_params

SYNOPSIS

#include <rte_tm.h>

  Data Fields

uint64_t min_th
uint64_t max_th
uint16_t maxp_inv
uint16_t wq_log2

Detailed Description

Random Early Detection (RED) profile

Definition at line 964 of file rte_tm.h.

Field Documentation

  uint64_t min_th
Minimum queue threshold

Definition at line 966 of file rte_tm.h.

  uint64_t max_th
Maximum queue threshold

Definition at line 969 of file rte_tm.h.

  uint16_t maxp_inv
Inverse of packet marking probability maximum value (maxp), i.e. maxp_inv = 1 / maxp

Definition at line 974 of file rte_tm.h.

  uint16_t wq_log2
Negated log2 of queue weight (wq), i.e. wq = 1 / (2 ^ wq_log2)

Definition at line 977 of file rte_tm.h.

Author

Generated automatically by Doxygen for DPDK from the source code.